Package com.io7m.waxmill.machines

# Enum WXMDeviceType.WXMStorageBackendType.Kind

java.lang.Object
java.lang.Enum<WXMDeviceType.WXMStorageBackendType.Kind>
com.io7m.waxmill.machines.WXMDeviceType.WXMStorageBackendType.Kind

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMDeviceType.WXMStorageBackendType.Kind>`, `java.lang.constant.Constable`

Enclosing interface:
  WXMDeviceType.WXMStorageBackendType

    public static enum WXMDeviceType.WXMStorageBackendType.Kind
    extends java.lang.Enum<WXMDeviceType.WXMStorageBackendType.Kind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `WXM_SCSI` |
  `WXM_STORAGE_FILE` |
  `WXM_STORAGE_ZFS_VOLUME` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMDeviceType.WXMStorageBackendType.Kind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMDeviceType.WXMStorageBackendType.Kind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WXM_STORAGE_FILE

    public static final WXMDeviceType.WXMStorageBackendType.Kind WXM_STORAGE_FILE

  - ### WXM_STORAGE_ZFS_VOLUME

    public static final WXMDeviceType.WXMStorageBackendType.Kind WXM_STORAGE_ZFS_VOLUME

  - ### WXM_SCSI

    public static final WXMDeviceType.WXMStorageBackendType.Kind WXM_SCSI

- ## Method Details

  - ### values

    public static WXMDeviceType.WXMStorageBackendType.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMDeviceType.WXMStorageBackendType.Kind valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null